Subject: bug#43997: [External] : Re: bug#43997: 26.3; Be able to have a mode-line for a standalone minibuffer frame

From: Drew Adams <[email-masked]>
Date: Sun, 6 Jun 2021 15:35:06 +0000

> > Be able to have a mode-line for a standalone minibuffer frame.
> 
> I'm not sure I understand the utility of this -- putting a mode line on
> a standalone minibuffer frame doesn't seem very useful.  Can you explain
> why you'd like to see this?

Be able to use that mode-line for whatever info one
wants.  In particular, info that's relevant to the
current state of the minibuffer.  (And no, things
like `minibuffer-message' are no substitute.)

There are plenty of (standard, predefined) frame
parameters that this or that user might never use
or see used.  I don't show the fringe or the tool
bar, for example, and innumerable users don't show
the menu-bar.  

Why should users of a standalone minibuffer frame
not be able to use this potential information area?

You don't use a standalone minibuffer frame, I
assume.  Perhaps you don't understand the utility
of that either.  Why not take the word of someone
who does use it and does understand its utility?
Letting it be able to show a mode-line would
increase its utility.